Manage Notification Group Status
curl --request PATCH \
--url https://sandbox.cashfree.com/pg/vba/notificationgroup/{notification_group_name} \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <x-client-id>' \
--header 'x-client-secret: <x-client-secret>' \
--data '{}'import requests
url = "https://sandbox.cashfree.com/pg/vba/notificationgroup/{notification_group_name}"
payload = {}
headers = {
"x-client-id": "<x-client-id>",
"x-client-secret": "<x-client-secret>",
"x-api-version": "<x-api-version>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-id': '<x-client-id>',
'x-client-secret': '<x-client-secret>',
'x-api-version': '<x-api-version>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://sandbox.cashfree.com/pg/vba/notificationgroup/{notification_group_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification_group": {
"notification_group_name": "finance_team",
"notification_group_emails": [
"user@cashfree.com"
],
"notification_group_phone_numbers": [
"9876543210"
],
"notification_group_created_on": "2019-08-24T14:15:22Z",
"notification_group_last_updated_on": "2019-08-24T14:15:22Z"
}
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "something is not found",
"code": "bank_processing_failure",
"type": "api_error"
}Manage VBA Notification Group Status
Use this API to modify the status of the created notification group.
PATCH
/
pg
/
vba
/
notificationgroup
/
{notification_group_name}
Manage Notification Group Status
Headers
client id generated from the merchant dashboard
client secret generated from the merchant dashboard
API version to be used. The accepted format is YYYY-MM-DD.
Available options:
2024-07-10T00:00:00.000Z Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree Payments.
Example:
"4dfb9780-46fe-11ee-be56-0242ac120002"
Path Parameters
It is the name of the created notification group.
Body
application/json
PG VBA Notification Group Create Request
It is the status to which you want to modify the created notification group.
Available options:
ACTIVE, INACTIVE Response
Success Response.
Show child attributes
Show child attributes
⌘I
